| Exiv2

Loading...
Searching...
No Matches
Public Types | List of all members
Exiv2::Internal::OffsetWriter Class Reference

Class to insert pointers or offsets to computed addresses at specific locations in an image. Used for offsets which are best computed during the regular write process. They are written in a second pass, using the writeOffsets() method. More...

`#include <tiffimage_int.hpp>`

## Public Types
enum | OffsetId { cr2RawIfdOffset }
| Identifiers for supported offsets. More...

## Public Member Functions
Manipulators
void | setOrigin (OffsetId id, uint32_t origin, ByteOrder byteOrder)
| Set the origin of the offset for id, i.e., the location in the image where the offset is, and the byte order to encode the offset.
void | setTarget (OffsetId id, uint32_t target)
| Set the target for offset id, i.e., the address to which the offset points.

## Accessors
void | writeOffsets (BasicIo &io) const
| Write the offsets to the IO instance io.

## Detailed Description

Class to insert pointers or offsets to computed addresses at specific locations in an image. Used for offsets which are best computed during the regular write process. They are written in a second pass, using the writeOffsets() method.

## Member Enumeration Documentation

## ◆ OffsetId

enum Exiv2::Internal::OffsetWriter::OffsetId

Identifiers for supported offsets.

Enumerator
cr2RawIfdOffset | CR2 RAW IFD offset, a pointer in the CR2 header to the 4th IFD in a CR2 image.

## Member Function Documentation

## ◆ setOrigin()

void Exiv2::Internal::OffsetWriter::setOrigin | ( | OffsetId | id,
|  | uint32_t | origin,
|  | ByteOrder | byteOrder )

Set the origin of the offset for id, i.e., the location in the image where the offset is, and the byte order to encode the offset.

If the list doesn't contain an entry for id yet, this function will create one.

Referenced by Exiv2::Cr2Parser::encode().

## ◆ setTarget()

void Exiv2::Internal::OffsetWriter::setTarget | ( | OffsetId | id,
|  | uint32_t | target )

Set the target for offset id, i.e., the address to which the offset points.

If the list doesn't contain an entry with id yet, this function won't do anything.

The documentation for this class was generated from the following files:

- tiffimage_int.hpp
- tiffimage_int.cpp